--you may change these values
local repo = "https://git.brulijam.com/brulijam/Computercraft/raw/branch/main/src"
local labelPrefix = "SPHEAL" --would result in names like "SPHEAL-A1BF3L"


---------------------------------






local motd = settings.get("motd.enable")
if motd then
  shell.run("set motd.enable false")
  os.reboot()
end

print("[BOOTING]")



if not (fs.exists("brulijam/config/system.config")) then
  local systemConfig = {}
  systemConfig["labelPrefix"] = labelPrefix
  file = fs.open("brulijam/config/system.config", "w")
	file.write(textutils.serialize(systemConfig))
	file.close()
end


--fetch sync script
getRequest = http.get(repo .. "/brulijam/sync.lua")
file = fs.open("/brulijam/sync.lua", "w")
file.write(getRequest.readAll())
file.close()


--task.lua contains stuff that should be done after boot
if not (fs.exists("brulijam/task.lua")) then
  file = fs.open("brulijam/task.lua", "a")
  file.writeLine("local basic = require(\"lib.basic\")")
  file.writeLine("print(\"Running /brulijam/task.lua in 5 seconds.\")")
  file.writeLine("sleep(5)")
	file.writeLine("--put shell.run(\"somescript.lua\") here")
  file.writeLine("")
  file.writeLine("basic.clearDisplay()")
	file.close()
end
shell.run("brulijam/task.lua")

--create ntfy file (can be changed later)
if not (fs.exists("brulijam/config/ntfy.txt")) then
  file = fs.open("brulijam/config/ntfy.txt", "a")
  file.writeLine("https://ntfy.brammer.cc/8DI2nmDPVG6l7A0x")
  file.close()
end

--execute sync script
shell.run("/brulijam/sync.lua")


--set label if not set
shell.run("/brulijam/setLabel.lua")


--create networking key
shell.run("/brulijam/lib/createNetworkingKey.lua")

shell.run("/brulijam/systemlock.lua")


--you shall not pass systemlock
os.reboot()




